<?php
if(count(get_included_files()) ==1) exit("Direct access not permitted.");
if(!$statuslogin) exit;
$mod = basename(__FILE__, '.php');
$page->tbJs($mod);
if(isset($_GET['id'])){
	$id=strip_tags(stripslashes($_GET['id']));
	$page->setJudul("Input nama Level");
	$nama="";
	$idjenis="";
	if($id>0){
		$idjenis=$id;
		$page->setJudul("Edit nama Level");
		$query="SELECT * FROM tb_level as t1
			WHERE id=?";
		$rs=$db->loadAssoc($query,array($id));
		if(isset($rs['id'])){
			$nama=$rs['nama'];
			$idjenis=$rs['id'];
		}
	}
	$page->addLoad("managlevel.edit($id)");
	?>
	<div class="box_main_konten">
		<h3>DETAIL LEVEL</h3>
		<div class="group_form">
			<title>Kode Level</title>
			<div class="col10"><input id="idlevel" value="<?php echo $idjenis;?>" />
				
			</div>
		</div>
		<div class="group_form">
			<title>Nama Level</title>
			<div class="col10"><input id="nama" value="<?php echo $nama;?>" />
				
			</div>
		</div>
		<div style="clear: both;"></div>
	</div>
	
	<div class="box_button_bawah">
		<div id="loader_err_level" class="error"></div>
		<span class="btmerah btncancel" onclick="managlevel.kembali()">Kembali</span>&nbsp;&nbsp;<span onclick="managlevel.simpan()" class="bthijau btnsave">Simpan</span>
	</div>
	<?php
}else{
	$page->addLoad("managlevel.load()");
	$page->setJudul("Master Data Level");
	?>
	<div class="box_button_atas">
		Jumlah baris: <select id="jumlah_hal" class="slkecil" onchange="managlevel.loade()">
			<option value="30">30</option>
			<option value="50">50</option>
			<option value="100">100</option>
		</select> &nbsp;
		Hal: <select id="hal_ke" class="slkecil" onchange="managlevel.load()"><option value="1">1</option></select>
		&nbsp;<input placeholder="Default: Nama Level" onkeypress="managlevel.enter(event)" id="cari" class="in_cari" />
		&nbsp;&nbsp;<span id="btcari" class="btnone btncari" onclick="managlevel.loade()">Cari</span>
		&nbsp;&nbsp;<span class="btnone btncanggih" onclick="managlevel.caricanggih()">Cari Detail</span>
	</div>
	<div id="grid_managlevel"></div>
	<div id="loader_data_level"></div>
	<div class="box_button_bawah">
		<span onclick="managlevel.buat(0)" class="bthijau btninput">Tambah Data Level</span>
	</div>
	<div id="btedit" style="display:none;">
		<span class="icon_del" onclick="managlevel.hapus(#{id})"></span>
		<span class="icon_edit" onclick="managlevel.buat(#{id})"></span>
	</div>
	<span id="btpeserta" style="display: none" class="#(#{peserta}==1)?'mini_ok':'mini_dis'#" onclick="managlevel.setpeserta(#{id},##{jumlah_tabel},##{baris_tabel},this)"></span>
	<span id="btpegawai" style="display: none" class="#(#{pegawai}==1)?'mini_ok':'mini_dis'#" onclick="managlevel.setpegawai(#{id},##{jumlah_tabel},##{baris_tabel},this)"></span>
	
	<?php
}
?>
